<?php
@session_start();
include "verifica.php";
include "validaciones.php";


@$xtipexi_codi_fk=$_REQUEST['xtipexi_codi_fk'];

@$xaccion2=$_REQUEST['xaccion2'];
@$xcriterio2=$_REQUEST['xcriterio2'];

@$xnivel_padre=$_REQUEST['xnivel_padre'];

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xmuestra_detalle=$_REQUEST['xmuestra_detalle'];
if($xmuestra_detalle!=1){
	$xmuestra_detalle=0;
}



include "../conexion.php";

$fam = new Familias;

switch($xaccion){
	
	case "adicionar": 
		if($fam->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Familia creada satisfactoriamente.")
			parent.location.href="../familias.php?xcriterio=<?php echo $xcriterio2; ?>&xaccion2=<?php echo $xaccion2; ?>";
			//parent.location.href="../familias.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($fam->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Familia modificada satisfactoriamente.")
			parent.location.href="../familias.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
	
		if($vali->familias($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($fam->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Familia eliminada satisfactoriamente.")
				parent.location.href="../familias.php";
				</script>			
				<?php
				
			}
		}					
		break;

	case "activar":
		if($fam->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Familias{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xmuestra_detalle, $xnivel_padre, $xtipexi_codi_fk;
		
		$nu_nuevo = "9999999999"; 
		$xprdfam_id_trans = time().rand(1,$nu_nuevo);
				 

		$r = mysqli_query($conexion,"insert into productos_familia (prdfam_nombre, 
												  prdfam_abreviatura,
												  prdfam_usu_crea,
												  prdfam_muestra_detalle,
												  prdfam_codi_fk_padre,
												  prdfam_id_trans,
												  tipexi_codi_fk)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion',
												'$xmuestra_detalle',
												'$xnivel_padre',
												'$xprdfam_id_trans',
												'$xtipexi_codi_fk');");
		
		if($r){		
		
			$rg = mysqli_query($conexion,"UPDATE productos_familia SET prdfam_codigo = right(concat('00',prdfam_codi+100), 3) 
																WHERE prdfam_id_trans = $xprdfam_id_trans;");
									
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: POSIBLEMENTE EL NOMBRE DE LA FAMILIA (CATEGORIA) YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xmuestra_detalle, $xnivel_padre, $xtipexi_codi_fk;		

		$r = mysqli_query($conexion,"update productos_familia set prdfam_nombre = '$xnombres', 
												  prdfam_abreviatura = '$xabreviatura',
												  prdfam_usu_modifica = '$xusuario_sesion',
												  prdfam_muestra_detalle = '$xmuestra_detalle',
												  prdfam_codi_fk_padre = '$xnivel_padre',
												  tipexi_codi_fk = '$xtipexi_codi_fk'
										where prdfam_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from productos_familia where prdfam_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update productos_familia set prdfam_estado = '$xestado',
												  			prdfam_usu_activa = '$xusuario_sesion'		 
															where prdfam_codi = $xid;");		
		if($r){		
			return 1;
		}	
	
	}	


	function listar_familias($conexion){
		$result1=mysqli_query($conexion,"SELECT * FROM productos_familia p ORDER BY prdfam_nombre;");
		return $result1;
	}


}


?>
